import { defineConfig } from 'vite';

export default defineConfig({
  server: { host: '127.0.0.1', port: 3333, open: false, strictPort: true },
  build: {
    target: 'es2022',
    sourcemap: true,
    rollupOptions: {
      output: {
        manualChunks(id) {
          if (id.includes('/node_modules/three/')) return 'three';
        },
      },
    },
  },
});
